Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io
Interface ModuleParser

All Known Subinterfaces:
  DelegatingModuleParser

All Known Implementing Classes:
  DCModuleParser, SyModuleParser

    public interface ModuleParser

Parses module metadata from a XML node (JDOM element).

ModuleParser instances must thread safe.

TODO: explain how developers can plugin their own implementations.

Author:
  Alejandro Abdelnur

Method Summary
`String` | `getNamespaceUri()` Returns the namespace URI this parser handles.
`Module` | `parse(org.jdom.Element element)` Parses the XML node (JDOM element) extracting module information.

Method Detail

### getNamespaceUri

    String getNamespaceUri()

  Returns the namespace URI this parser handles.

  Returns:
    the namespace URI.

### parse

    Module parse(org.jdom.Element element)

  Parses the XML node (JDOM element) extracting module information.

  Parameters:
    `element` - the XML node (JDOM element) to extract module information from.
  Returns:
    a module instance, null if the element did not have module information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.